package com.logicbig.example;

import com.fasterxml.jackson.databind.ObjectMapper;
import java.io.IOException;

public class ExampleMain {
    public static void main(String[] args) throws IOException {
        Employee employee = new Employee();
        employee.setName("Trish");
        employee.setDept("Admin");
        employee.setAddress("421 Moon Hill");

        //convert to json
        String jsonString = toJson(employee);
        System.out.println(jsonString);
        //convert to object;
        Employee e = toEmployee(jsonString);
        System.out.println(e);

        //address here will be ignore too
        String s = "{\"name\":\"Trish\",\"dept\":\"Admin\", \"address\":\"xyz Street\"}";
        System.out.println("JSON input: "+s);
        Employee e2 = toEmployee(s);
        System.out.println(e2);
    }

    private static Employee toEmployee(String jsonData) throws IOException {
        ObjectMapper om = new ObjectMapper();
        return om.readValue(jsonData, Employee.class);
    }

    private static String toJson(Employee employee) throws IOException {
        ObjectMapper om = new ObjectMapper();
        return om.writeValueAsString(employee);
    }
}