package com.logicbig.example;

import com.fasterxml.jackson.databind.ObjectMapper;
import java.io.IOException;

public class ExampleMain2 {
    public static void main(String[] args) throws IOException {
        Employee2 employee = new Employee2();
        employee.setName("Trish");
        employee.setDept("Admin");
        employee.setAddress("421 Moon Hill");

        //convert to json
        String jsonString = toJson(employee);
        System.out.println(jsonString);
        //convert to object;
        Employee2 e = toEmployee(jsonString);
        System.out.println(e);

        //address/dept here will be ignored even they are in the source JSON
        String s = "{\"name\":\"Trish\",\"dept\":\"Admin\", \"address\":\"xyz Street\"}";
        System.out.println("JSON input: "+s);
        Employee2 e2 = toEmployee(s);
        System.out.println(e2);
    }

    private static Employee2 toEmployee(String jsonData) throws IOException {
        ObjectMapper om = new ObjectMapper();
        return om.readValue(jsonData, Employee2.class);
    }

    private static String toJson(Employee2 employee) throws IOException {
        ObjectMapper om = new ObjectMapper();
        return om.writeValueAsString(employee);
    }
}